package cz.moneta.test.dataprepare.risk;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.data.ClientUtils;
import cz.moneta.test.harness.support.util.Level;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;

public class DefaultLoan extends DefaultDataPrepare {
    protected int LOAN_AMOUNT = 50000;
    protected int TERM = 60;
    protected String secondBankerName = "TestJB Harness";//Zatím spouštěno pouze lokálně

    @BeforeEach
    protected void setup(Harness harness) {
        super.setup(harness);
        applicant = ClientUtils.getRiskDefaultClient(harness);
    }

    @AfterEach
    protected void logData(Harness harness) {
        harness.log(Level.INFO, "Client birthnumber: " + applicant.birthNumber());
    }
}